summaryrefslogtreecommitdiffstats
path: root/install/ui/test
diff options
context:
space:
mode:
authorAdam Young <ayoung@redhat.com>2011-04-01 11:56:09 -0400
committerAdam Young <ayoung@redhat.com>2011-05-12 12:30:57 -0400
commitb932139b4523c719539b9f95f8b847ba37dd5c85 (patch)
treec10599539a076db2a923d99ea1e3099b8438105e /install/ui/test
parent2b45be23e427040b667a1e705019354087149d14 (diff)
downloadfreeipa-b932139b4523c719539b9f95f8b847ba37dd5c85.tar.gz
freeipa-b932139b4523c719539b9f95f8b847ba37dd5c85.tar.xz
freeipa-b932139b4523c719539b9f95f8b847ba37dd5c85.zip
update ipa init a simple script to update the metatdate et alles that comes from the ipa_init batch call
Diffstat (limited to 'install/ui/test')
-rwxr-xr-xinstall/ui/test/bin/update_ipa_init.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/install/ui/test/bin/update_ipa_init.sh b/install/ui/test/bin/update_ipa_init.sh
new file mode 100755
index 000000000..064f16b9e
--- /dev/null
+++ b/install/ui/test/bin/update_ipa_init.sh
@@ -0,0 +1,21 @@
+#!/bin/bash -x
+
+FIXTURE_DIR=$1
+
+INIT_FILE=$FIXTURE_DIR/ipa_init.json
+
+usage(){
+ echo "$0 {FIXTURE_DIR}"
+ exit 1
+}
+
+if [ ! -f $INIT_FILE ]
+then
+ usage
+ exit 1
+fi
+
+
+
+curl -v -H "Content-Type:application/json" -H "Accept:applicaton/json" --negotiate -u : --cacert /etc/ipa/ca.crt -d '{"method":"batch","params":[[ {"method":"json_metadata","params":[[],{}]}, {"method":"i18n_messages","params":[[],{}]}, {"method":"user_find","params":[[],{"whoami":"true","all":"true"}]}, {"method":"env","params":[[],{}]}, {"method":"dns_is_enabled","params":[[],{}]} ],{}],"id":1}' -X POST https://`hostname`/ipa/json | sed 's/[ \t]*$//' > $INIT_FILE
+